de.esprit.appsuite.task

## Class LocalTaskType

- java.lang.Object
- - de.esprit.appsuite.task.AbstractTaskType
  - - de.esprit.appsuite.task.LocalTaskType

- All Implemented Interfaces:
    TaskType, java.io.Serializable
  Direct Known Subclasses:
    ClientTaskType, ServerTaskType

      public class LocalTaskType
      extends AbstractTaskType

  Defines the various types of asynchronous local tasks.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LocalTaskType` | `ARCHIVE`
    `static LocalTaskType` | `DATA_PARSER`
    `static LocalTaskType` | `FILE_READER`
    `static LocalTaskType` | `FILE_WRITER`
    `static LocalTaskType` | `JAVA_VM`
    `static LocalTaskType` | `LOCAL_TASK`
    `static LocalTaskType` | `OS_PROCESS`
    `static LocalTaskType` | `SCANNER`
    `static LocalTaskType` | `STREAM_READER`
    `static LocalTaskType` | `STREAM_WRITER`
    `static LocalTaskType` | `SYSTEM_TASK`
    `static LocalTaskType` | `TASK_COLLECTION`
    `static LocalTaskType` | `TIMER_TASK`
    `static LocalTaskType` | `UNARCHIVER`
    `static LocalTaskType` | `WORKFLOW`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LocalTaskType(java.lang.String typeName, IconKey iconKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLocalTask()`
    `boolean` | `isOsProcessTask()`
    `boolean` | `isRemoteTask()`
    `boolean` | `isWorkflowTask()`

    - ### Methods inherited from class de.esprit.appsuite.task.AbstractTaskType

      `equals, getName, getRenderIcon, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SYSTEM_TASK

          public static final LocalTaskType SYSTEM_TASK

    - #### LOCAL_TASK

          public static final LocalTaskType LOCAL_TASK

    - #### OS_PROCESS

          public static final LocalTaskType OS_PROCESS

    - #### WORKFLOW

          public static final LocalTaskType WORKFLOW

    - #### TIMER_TASK

          public static final LocalTaskType TIMER_TASK

    - #### TASK_COLLECTION

          public static final LocalTaskType TASK_COLLECTION

    - #### FILE_READER

          public static final LocalTaskType FILE_READER

    - #### DATA_PARSER

          public static final LocalTaskType DATA_PARSER

    - #### FILE_WRITER

          public static final LocalTaskType FILE_WRITER

    - #### STREAM_READER

          public static final LocalTaskType STREAM_READER

    - #### STREAM_WRITER

          public static final LocalTaskType STREAM_WRITER

    - #### SCANNER

          public static final LocalTaskType SCANNER

    - #### UNARCHIVER

          public static final LocalTaskType UNARCHIVER

    - #### ARCHIVE

          public static final LocalTaskType ARCHIVE

    - #### JAVA_VM

          public static final LocalTaskType JAVA_VM

  - ### Constructor Detail

    - #### LocalTaskType

          protected LocalTaskType(java.lang.String typeName,
                       IconKey iconKey)

  - ### Method Detail

    - #### isWorkflowTask

          public boolean isWorkflowTask()

    - #### isOsProcessTask

          public boolean isOsProcessTask()

    - #### isRemoteTask

          public boolean isRemoteTask()

    - #### isLocalTask

          public boolean isLocalTask()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.